Bug 1098193 (CVE-2014-0237) - CVE-2014-0237 file: cdf_unpack_summary_info() excessive looping DoS
Summary: CVE-2014-0237 file: cdf_unpack_summary_info() excessive looping DoS
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-0237
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20140529,repor...
Depends On: 1080180 1103568 1103569 1114520 1114521 1119563 1119564 1120503 1120504 1120981 1149768 1149774 1238984 1238985
Blocks: 1065838 1101912 1149858 1210268
TreeView+ depends on / blocked
 
Reported: 2014-05-15 13:06 UTC by Francisco Alonso
Modified: 2019-06-08 20:02 UTC (History)
11 users (show)

Fixed In Version: php 5.4.29, php 5.5.13
Doc Type: Bug Fix
Doc Text:
A denial of service flaw was found in the way the File Information (fileinfo) extension parsed certain Composite Document Format (CDF) files. A remote attacker could use this flaw to crash a PHP application using fileinfo via a specially crafted CDF file.
Clone Of:
Environment:
Last Closed: 2015-11-27 11:55:22 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1012 normal SHIPPED_LIVE Moderate: php53 and php security update 2014-08-06 09:14:44 UTC
PHP Bug Tracker 67328 None None None Never
Red Hat Product Errata RHSA-2014:1013 normal SHIPPED_LIVE Moderate: php security update 2014-08-06 10:05:17 UTC
Red Hat Product Errata RHSA-2014:1606 normal SHIPPED_LIVE Moderate: file security and bug fix update 2014-10-14 01:39:32 UTC
Red Hat Product Errata RHSA-2014:1765 normal SHIPPED_LIVE Important: php54-php security update 2014-10-30 23:45:24 UTC
Red Hat Product Errata RHSA-2014:1766 normal SHIPPED_LIVE Important: php55-php security update 2014-10-30 23:45:12 UTC
Red Hat Product Errata RHSA-2015:2155 normal SHIPPED_LIVE Moderate: file security and bug fix update 2015-11-19 08:39:11 UTC

Description Francisco Alonso 2014-05-15 13:06:42 UTC
A flaw was found in the way file's Composite Document Files (CDF) format parser handle CDF files with many summary info entries.  The cdf_unpack_summary_info() function unnecessarily repeatedly read the info from the same offset.  This led to many file_printf() calls in cdf_file_property_info(), which caused file to use an excessive amount of CPU time when parsing a specially-crafted CDF file.

Comment 1 Francisco Alonso 2014-05-22 13:11:00 UTC
Acknowledgments:

This issue was discovered by Francisco Alonso of Red Hat Product Security.

Comment 2 Remi Collet 2014-05-22 14:29:39 UTC
PHP bug https://bugs.php.net/bug.php?id=67328

Comment 5 Murray McAllister 2014-06-02 05:05:28 UTC
Public now: http://www.php.net/ChangeLog-5.php#5.5.13

Comment 6 Murray McAllister 2014-06-02 05:13:56 UTC
Created php tracking bugs for this issue:

Affects: fedora-all [bug 1103569]

Comment 7 Murray McAllister 2014-06-02 05:13:59 UTC
Created file tracking bugs for this issue:

Affects: fedora-all [bug 1103568]

Comment 8 Tomas Hoger 2014-06-02 07:09:42 UTC
Fixed in PHP 5.4.29 and 5.5.13.

Comment 9 Oliver Falk 2014-06-03 07:02:52 UTC
Doesn't this also affect php-5.3.3 as shipped in RHEL6 and php-5.1.6 as shipped in RHEL5, as well as php53-5.3.3 (EPEL5)? Are there separate bugs for RHEL?

Comment 10 Oliver Falk 2014-06-03 07:05:13 UTC
And... Do I understand this will also fix CVE-2014-0238 ?

Comment 11 Tomas Hoger 2014-06-03 08:45:23 UTC
PHP 5.1 in Red Hat Enterprise Linux 5 does not include fileinfo extension and hence does not embed file/libmagic.  Therefore, it is not affected.

In PHP use case, this issue is mitigated by PHP's maximum execution time limit:
http://www.php.net/manual/en/info.configuration.php#ini.max-execution-time
http://www.php.net/manual/en/function.set-time-limit.php

This issue is unrelated to CVE-2014-0238.

Comment 12 Fedora Update System 2014-06-17 23:31:19 UTC
php-5.5.13-3.fc20, php-phpunit-PHPUnit-MockObject-1.2.3-4.fc20, php-doctrine-orm-2.4.2-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2014-06-17 23:36:13 UTC
php-5.5.13-3.fc19, php-phpunit-PHPUnit-MockObject-1.2.3-4.fc19, php-doctrine-orm-2.4.2-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2014-07-05 14:54:02 UTC
file-5.19-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Huzaifa S. Sidhpurwala 2014-07-18 06:12:51 UTC
Statement:

This issue did not affect the php and the file packages as shipped with Red Hat Enterprise Linux 5.

This issue affects the versions of file as shipped with Red Hat Enterprise Linux 7. Red Hat Product Security has rated this issue as having Moderate security impact. A future update may address this issue. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.

Comment 22 Martin Prpič 2014-07-28 11:12:00 UTC
IssueDescription:

A denial of service flaw was found in the way the File Information (fileinfo) extension parsed certain Composite Document Format (CDF) files. A remote attacker could use this flaw to crash a PHP application using fileinfo via a specially crafted CDF file.

Comment 23 errata-xmlrpc 2014-08-06 05:15:27 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 5

Via RHSA-2014:1012 https://rhn.redhat.com/errata/RHSA-2014-1012.html

Comment 24 errata-xmlrpc 2014-08-06 06:05:58 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 7

Via RHSA-2014:1013 https://rhn.redhat.com/errata/RHSA-2014-1013.html

Comment 27 errata-xmlrpc 2014-10-14 08:29:37 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:1606 https://rhn.redhat.com/errata/RHSA-2014-1606.html

Comment 28 errata-xmlrpc 2014-10-30 19:46:06 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections 1 for Red Hat Enterprise Linux 7
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6.5 EUS
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6.4 EUS
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6.6 EUS
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6

Via RHSA-2014:1766 https://rhn.redhat.com/errata/RHSA-2014-1766.html

Comment 29 errata-xmlrpc 2014-10-30 19:47:38 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections 1 for Red Hat Enterprise Linux 7
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6.5 EUS
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6.4 EUS
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6.6 EUS
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6

Via RHSA-2014:1765 https://rhn.redhat.com/errata/RHSA-2014-1765.html

Comment 33 errata-xmlrpc 2015-11-19 08:08:45 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:2155 https://rhn.redhat.com/errata/RHSA-2015-2155.html


Note You need to log in before you can comment on or make changes to this bug.